8.х Обработка ОбновлениеВспомогательныхДанных

Тема в разделе "Конфигурирование на платформе "1С:Предприятие 8"", создана пользователем RainyRay, 26 июл 2016.

  1. TopicStarter Overlay
    RainyRay
    Offline

    RainyRay

    Регистрация:
    16 май 2016
    Сообщения:
    14
    Симпатии:
    0
    Баллы:
    1
    С помощью скачанной внешней обработки ОбновлениеВспомогательныхДанных хотела создать в справочнике предопределенный элемент. Однако при запуске Файл->Открыть выдается ошибка :

    Если <<?>>ПодключаемыеКоманды.ОперативноеОбновлениеОбщихДанныхКонфигурации().ЕстьИзменения Тогда{Форма.Форма.Форма(407,8)}: Переменная не определена (ПодключаемыеКоманды)

    Я понимаю, что не хватает модуля ПодключаемыеКоманды, но не знаю, где его взять. Разве обработки из НабораРазработчика требуют дополнительного кода или что-то вроде того?
  2. nomad_irk
    Online

    nomad_irk Гуру в 1С

    Регистрация:
    20 окт 2008
    Сообщения:
    7.568
    Симпатии:
    717
    Баллы:
    204
    Вы, собственно, сами себе и ответили на вопрос: да, требует.
    Взять можно там, где взяли обработку.
  3. Svb
    Offline

    Svb Опытный в 1С Команда форума

    Регистрация:
    12 янв 2011
    Сообщения:
    980
    Симпатии:
    19
    Баллы:
    29
    Как это обработкой создать предопределенный элемент? Это новшевства новой платформы 8.4?
  4. Yuriy_Alexandrovich
    Offline

    Yuriy_Alexandrovich Профессионал в 1С Команда форума

    Регистрация:
    15 сен 2011
    Сообщения:
    1.275
    Симпатии:
    76
    Баллы:
    54
    Нет, это было заявлено в 8.3.5, а заработало в 8.3.6
  5. Svb
    Offline

    Svb Опытный в 1С Команда форума

    Регистрация:
    12 янв 2011
    Сообщения:
    980
    Симпатии:
    19
    Баллы:
    29
    Ишь что удумали! Можно сказать изменяют сами себе, подменяют понятия, нарушают устройство мира...
  6. Yuriy_Alexandrovich
    Offline

    Yuriy_Alexandrovich Профессионал в 1С Команда форума

    Регистрация:
    15 сен 2011
    Сообщения:
    1.275
    Симпатии:
    76
    Баллы:
    54
    Какую конфигурацию используете, версия обработки ?
  7. Dem0lisher
    Offline

    Dem0lisher Профессионал в 1С

    Регистрация:
    4 авг 2009
    Сообщения:
    1.026
    Симпатии:
    51
    Баллы:
    54
    Вы понимаете, что если его где-то найти, и попытаться вставить - вам может не хватить еще каких-то модулей, а затем и еще каких-нибудь объектов?
    На какой версии БСП требуется этот модуль? В УТ 11.2.3.168 не нахожу такого модуля.

    Для этого обязательно нужен набор разработчика?
    Попробуйте сначала запустить 1С с параметром "/ЗапуститьОбновлениеИнформационнойБазы"
  8. TopicStarter Overlay
    RainyRay
    Offline

    RainyRay

    Регистрация:
    16 май 2016
    Сообщения:
    14
    Симпатии:
    0
    Баллы:
    1
    Конфигурация 8.3.7.2027, версия обработки 2.3.3.66.
    Скачано было отсюда https://releases.1c.ru/project/SSL23
    1С:Библиотека стандартных подсистем, редакция 2.3
  9. Yuriy_Alexandrovich
    Offline

    Yuriy_Alexandrovich Профессионал в 1С Команда форума

    Регистрация:
    15 сен 2011
    Сообщения:
    1.275
    Симпатии:
    76
    Баллы:
    54
    В ЗУПе 3 и ERP при первоначальном запуске нужен.
    А так, можно и просто создать элемент справочника и назначить ему имя предопределенного "элемента" тогда он станет предопределенным, без этой операции, при обращении к предопределенному элементу будет "банан" -Blackeye-
  10. Yuriy_Alexandrovich
    Offline

    Yuriy_Alexandrovich Профессионал в 1С Команда форума

    Регистрация:
    15 сен 2011
    Сообщения:
    1.275
    Симпатии:
    76
    Баллы:
    54
    Думаю, вам нужно использовать более раннюю версию, похоже версия конфигурации в которой вы запускаете обработку не содержит объектов на которые ссылается последняя версия БСП
  11. TopicStarter Overlay
    RainyRay
    Offline

    RainyRay

    Регистрация:
    16 май 2016
    Сообщения:
    14
    Симпатии:
    0
    Баллы:
    1
    Спасибо!
  12. 1cUserAndrew
    Offline

    1cUserAndrew Профессионал в 1С Команда форума

    Регистрация:
    27 май 2010
    Сообщения:
    4.948
    Симпатии:
    149
    Баллы:
    104
    Посмотрите в вашей конфигурации через "Все функции" регистр сведений "Версии подсистем". Найдите "СтандартныеПодсистемы" и посмотрите версию.
    Вот, это версия БСП, используемая в вашей конфигурации.
    Соответственно, обработку надо брать из этой версии БСП (версия обработки должна быть соответствующая).
    Svb нравится это.

Поделиться этой страницей